Create Document
curl --request POST \
--url https://api.amplify.xyz/v1/esign_documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My New Document",
"file": "base64 converted pdf ",
"has_sign_order": true,
"users": [
{
"email": "signer@example.com",
"first_name": "John",
"last_name": "Doe",
"sign_order": 1,
"redirect_url": "https://example.com/success"
}
],
"due_date": "2026-07-07"
}
'import requests
url = "https://api.amplify.xyz/v1/esign_documents"
payload = {
"name": "My New Document",
"file": "base64 converted pdf ",
"has_sign_order": True,
"users": [
{
"email": "signer@example.com",
"first_name": "John",
"last_name": "Doe",
"sign_order": 1,
"redirect_url": "https://example.com/success"
}
],
"due_date": "2026-07-07"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My New Document',
file: 'base64 converted pdf ',
has_sign_order: true,
users: [
{
email: 'signer@example.com',
first_name: 'John',
last_name: 'Doe',
sign_order: 1,
redirect_url: 'https://example.com/success'
}
],
due_date: '2026-07-07'
})
};
fetch('https://api.amplify.xyz/v1/esign_documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Document operations
Create Document
Customer API v1 endpoint.
POST
/
v1
/
esign_documents
Create Document
Create Document. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Successful response. Response body was not included in the source collection.
